aboutsummaryrefslogtreecommitdiffstats
path: root/testing/perl-namespace-autoclean/APKBUILD
diff options
context:
space:
mode:
authorSören Tempel <soeren+git@soeren-tempel.net>2016-04-01 01:13:59 +0200
committerSören Tempel <soeren+git@soeren-tempel.net>2016-04-01 01:33:47 +0200
commit5568ae92d0e3e6d9e34c1fa6df6ca0c762b06f4b (patch)
tree341917cc231e0535010cf83c00efd3660792b553 /testing/perl-namespace-autoclean/APKBUILD
parent878f4717fe524590743174ba13c0ceb1e978bd55 (diff)
downloadaports-5568ae92d0e3e6d9e34c1fa6df6ca0c762b06f4b.tar.gz
aports-5568ae92d0e3e6d9e34c1fa6df6ca0c762b06f4b.tar.bz2
aports-5568ae92d0e3e6d9e34c1fa6df6ca0c762b06f4b.tar.xz
testing/perl-namespace-autoclean: upgrade to 0.28
Diffstat (limited to 'testing/perl-namespace-autoclean/APKBUILD')
-rw-r--r--testing/perl-namespace-autoclean/APKBUILD17
1 files changed, 9 insertions, 8 deletions
diff --git a/testing/perl-namespace-autoclean/APKBUILD b/testing/perl-namespace-autoclean/APKBUILD
index 015182bd33..31ad2e24d2 100644
--- a/testing/perl-namespace-autoclean/APKBUILD
+++ b/testing/perl-namespace-autoclean/APKBUILD
@@ -1,27 +1,26 @@
-# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Sören Tempel <soeren+alpine@soeren-tempel.net>
# Contributor: Francesco Colista <francesco.colista@gmail.com>
# Maintainer: Francesco Colista <francesco.colista@gmail.com>
pkgname=perl-namespace-autoclean
-_pkgreal=namespace-autoclean
-pkgver=0.13
+_pkgreal=${pkgname#*-}
+pkgver=0.28
pkgrel=0
pkgdesc="Keep imports out of your namespace"
url="http://search.cpan.org/dist/namespace-autoclean/"
arch="noarch"
license="GPL PerlArtistic"
cpandepends="perl-b-hooks-endofscope perl-namespace-clean perl-moose"
-cpanmakedepends="perl-moose perl-sub-name "
+cpanmakedepends="perl-moose perl-sub-name"
depends="$cpandepends"
makedepends="perl-dev $cpanmakedepends"
subpackages="$pkgname-doc"
-source="http://search.cpan.org/CPAN/authors/id/B/BO/BOBTFISH/$_pkgreal-$pkgver.tar.gz"
+source="http://search.cpan.org/CPAN/authors/id/E/ET/ETHER/$_pkgreal-$pkgver.tar.gz"
_builddir="$srcdir/$_pkgreal-$pkgver"
-
prepare() {
cd "$_builddir"
export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
- PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
}
build() {
@@ -36,4 +35,6 @@ package() {
find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
}
-md5sums="ec5527b420ec45d3f930c6345ec23926 namespace-autoclean-0.13.tar.gz"
+md5sums="9746a73c34f294d663c583f857b8648f namespace-autoclean-0.28.tar.gz"
+sha256sums="cd410a1681add521a28805da2e138d44f0d542407b50999252a147e553c26c39 namespace-autoclean-0.28.tar.gz"
+sha512sums="2541f69862b334fcfe30059d025668175de1b182a5c8ee8f2619bf1d661c316a38fe2014f274bb23e887cd36959f98abb297154ac8ceb600e2e93cbd4a75e28d namespace-autoclean-0.28.tar.gz"